Package org.apache.batchee.container.services.status

## Class DefaultJobStatusManager

- java.lang.Object
- - org.apache.batchee.container.services.status.DefaultJobStatusManager

- All Implemented Interfaces:
    `JobStatusManagerService`, `BatchService`

      public class DefaultJobStatusManager
      extends Object
      implements JobStatusManagerService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultJobStatusManager​(ServicesManager servicesManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JobStatus` | `createJobStatus​(long jobInstanceId)` | This method creates an entry for a new job instance
    `StepStatus` | `createStepStatus​(long stepExecutionId)` | Creates an entry for the step in the stepstatus table during jobsetup
    `JobStatus` | `getJobStatus​(long jobInstanceId)` | Returns the JobStatus for a given jobInstance id
    `JobStatus` | `getJobStatusFromExecutionId​(long executionId)` |
    `StepStatus` | `getStepStatus​(long jobInstanceId, String stepId)` |
    `void` | `init​(Properties batchConfig)` |
    `String` | `toString()` |
    `void` | `updateJobBatchStatus​(long jobInstanceId, javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `updateJobCurrentStep​(long jobInstanceId, String currentStepName)` |
    `void` | `updateJobExecutionStatus​(long jobInstanceId, javax.batch.runtime.BatchStatus batchStatus, String exitStatus)` |
    `void` | `updateJobStatus​(JobStatus jobStatus)` |
    `void` | `updateJobStatusFromJSLStop​(long jobInstanceId, String restartOn)` |
    `void` | `updateJobStatusWithNewExecution​(long jobInstanceId, long newExecutionId)` |
    `void` | `updateStepStatus​(long stepExecutionId, StepStatus newStepStatus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJobStatusManager

          public DefaultJobStatusManager​(ServicesManager servicesManager)

  - ### Method Detail

    - #### createJobStatus

          public JobStatus createJobStatus​(long jobInstanceId)
                                    throws BatchContainerServiceException

      Description copied from interface: `JobStatusManagerService`
      This method creates an entry for a new job instance
      Specified by:
        `createJobStatus` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### getJobStatus

          public JobStatus getJobStatus​(long jobInstanceId)
                                 throws BatchContainerServiceException

      Description copied from interface: `JobStatusManagerService`
      Returns the JobStatus for a given jobInstance id
      Specified by:
        `getJobStatus` in interface `JobStatusManagerService`
      Returns:
      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatus

          public void updateJobStatus​(JobStatus jobStatus)

      Specified by:
        `updateJobStatus` in interface `JobStatusManagerService`

    - #### getJobStatusFromExecutionId

          public JobStatus getJobStatusFromExecutionId​(long executionId)
                                                throws BatchContainerServiceException

      Specified by:
        `getJobStatusFromExecutionId` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### updateJobBatchStatus

          public void updateJobBatchStatus​(long jobInstanceId,
                                           javax.batch.runtime.BatchStatus batchStatus)
                                    throws BatchContainerServiceException

      Specified by:
        `updateJobBatchStatus` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### updateJobExecutionStatus

          public void updateJobExecutionStatus​(long jobInstanceId,
                                               javax.batch.runtime.BatchStatus batchStatus,
                                               String exitStatus)
                                        throws BatchContainerServiceException

      Specified by:
        `updateJobExecutionStatus` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### updateJobCurrentStep

          public void updateJobCurrentStep​(long jobInstanceId,
                                           String currentStepName)
                                    throws BatchContainerServiceException

      Specified by:
        `updateJobCurrentStep` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatusWithNewExecution

          public void updateJobStatusWithNewExecution​(long jobInstanceId,
                                                      long newExecutionId)
                                               throws BatchContainerServiceException

      Specified by:
        `updateJobStatusWithNewExecution` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### createStepStatus

          public StepStatus createStepStatus​(long stepExecutionId)
                                      throws BatchContainerServiceException

      Description copied from interface: `JobStatusManagerService`
      Creates an entry for the step in the stepstatus table during jobsetup
      Specified by:
        `createStepStatus` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### getStepStatus

          public StepStatus getStepStatus​(long jobInstanceId,
                                          String stepId)
                                   throws BatchContainerServiceException

      Specified by:
        `getStepStatus` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### updateStepStatus

          public void updateStepStatus​(long stepExecutionId,
                                       StepStatus newStepStatus)

      Specified by:
        `updateStepStatus` in interface `JobStatusManagerService`

    - #### init

          public void init​(Properties batchConfig)
                    throws BatchContainerServiceException

      Specified by:
        `init` in interface `BatchService`
      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatusFromJSLStop

          public void updateJobStatusFromJSLStop​(long jobInstanceId,
                                                 String restartOn)
                                          throws BatchContainerServiceException

      Specified by:
        `updateJobStatusFromJSLStop` in interface `JobStatusManagerService`
      Throws:
        `BatchContainerServiceException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`